var diff = -250;
try{
main();    
    }catch(e){alert(e)}
    
function main()
{
 var app_ref = new ActionReference();
    app_ref.putEnumerated(sTID("application"), sTID("ordinal"), sTID("targetEnum"));

    
    var tool_opts = app.executeActionGet(app_ref).getObjectValue(sTID('currentToolOptions'));
    
     var brush = tool_opts.getObjectValue(sTID('brush'));
    var brushSize = brush.getDouble(sTID("diameter"));
    
    var newSize = brushSize+diff;
    
    var idsetd = charIDToTypeID( "setd" );
    var desc117 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref19 = new ActionReference();
        var idBrsh = charIDToTypeID( "Brsh" );
        var idOrdn = charIDToTypeID( "Ordn" );
        var idTrgt = charIDToTypeID( "Trgt" );
        ref19.putEnumerated( idBrsh, idOrdn, idTrgt );
    desc117.putReference( idnull, ref19 );
    var idT = charIDToTypeID( "T   " );
        var desc118 = new ActionDescriptor();
        var idmasterDiameter = stringIDToTypeID( "masterDiameter" );
        var idPxl = charIDToTypeID( "#Pxl" );
        desc118.putUnitDouble( idmasterDiameter, idPxl, newSize );
    var idBrsh = charIDToTypeID( "Brsh" );
    desc117.putObject( idT, idBrsh, desc118 );
executeAction( idsetd, desc117, DialogModes.NO );
}

function cTID(s) {
    return charIDToTypeID(s);
}

function sTID(s) {
    return stringIDToTypeID(s);
}